# CPU Governor

The below commands setup a CPU governor. This is to help reduce power consumption and ensure the Raspberry Pi stays as cold as possible.

``` sh

sudo -sHu root /bin/bash
apt install cpufrequtils
cat > /etc/default/cpufrequtils <<EOF
ENABLE="true"
GOVERNOR="ondemand"
EOF
systemctl restart cpufrequtils

```
